// shaders by Pan-(G) 2006

textures/stonemaze/lava
{
	qer_editorimage textures/stonemaze/volcano2.tga
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 600
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/stonemaze/volcano2.tga
		tcMod turb 0 .2 0 .1
	}
}

textures/stonemaze/water
{
	qer_editorimage textures/stonemaze/water.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	

	{ 
		map textures/stonemaze/water.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}

	{
		map textures/stonemaze/water.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}

	{
		map textures/stonemaze/water.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}

	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}


textures/stonemaze/fog
{
	qer_editorimage textures/stonemaze/white_plain.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nodrop
	q3map_surfacelight 80
	fogparms ( .8 .8 1.0 ) 128
}

textures/stonemaze/yellow_light
{
	q3map_surfacelight 300
	
	qer_editorimage textures/stonemaze/yellow_block3D.tga
	{
		map textures/stonemaze/yellow_block3D.tga
	}
}

textures/stonemaze/tv_sfx
{
	q3map_surfacelight 300
	
	qer_editorimage textures/stonemaze/grey_block3D.tga
	{
		animMap 1 textures/stonemaze/white_block3D.tga textures/stonemaze/grey_block3D.tga
	}
}

textures/stonemaze/green_nosound
{
	surfaceparm nosteps

	qer_editorimage textures/stonemaze/green_brick.tga
	{
		map textures/stonemaze/green_brick.tga
		rgbGen identityLighting
	}
}

textures/stonemaze/slick
{
	surfaceparm slick

	qer_editorimage textures/stonemaze/white_plain.tga

	{
		map textures/stonemaze/white_plain.tga
		rgbGen identityLighting
	}
}

textures/stonemaze/slick_grey
{
	surfaceparm slick

	qer_editorimage textures/stonemaze/grey_plain.tga

	{
		map textures/stonemaze/grey_plain.tga
		rgbGen identityLighting
	}
}
textures/stonemaze/slick_darkblue
{
	surfaceparm slick

	qer_editorimage textures/stonemaze/darkblue_block3D.tga

	{
		map textures/stonemaze/darkblue_block3D.tga
		rgbGen identityLighting
	}
}

textures/stonemaze/panwall_trans
{
	qer_editorimage textures/stonemaze/panwall.tga
	qer_trans .5

	surfaceparm nolightmap
	surfaceparm nomarks

	q3map_surfacelight 20

	surfaceparm trans
        nopicmip

	{
		map textures/stonemaze/panwall.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/stonemaze/portal_sfx
{
	qer_editorimage textures/stonemaze/portal.tga

	portal
	surfaceparm nolightmap

	{
		map textures/stonemaze/portal.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}


	{
		map textures/stonemaze/plainglass.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen portal 256
		rgbGen identityLighting	
	}
}

//q3a shader
textures/stonemaze/flame
{
	qer_editorimage textures/sfx/flame1.tga
	qer_trans .5

	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 9500

	deformVertexes autosprite

	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/stonemaze/sky
{
	qer_editorimage textures/skies/killsky_1.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap

	q3map_sun 3 2 2 60 315 65
	q3map_surfacelight 75
	skyparms - 512 -


	{
		map textures/skies/killsky_1.tga
		tcMod scroll 0.05 .1
		tcMod scale 2 2
	}
	{
		map textures/skies/killsky_2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.06
		tcMod scale 3 2
	}
}




// LetGo Shaders
// By BerneyBoy
// http://www.planetquake.com/berneyboy/


////////////////////////////////////// GLASS SHADERS //////////////////////////////////////


textures/stonemaze/darkblue_glass2
{
	qer_editorimage textures/stonemaze/darkblue_glass2.tga
        surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	cull none
	qer_trans 	0.5

        {
		map textures/stonemaze/darkblue_glass2.tga
		blendFunc blend
		rgbGen identity
	}           
}

textures/stonemaze/grey_glass2
{
	qer_editorimage textures/stonemaze/grey_glass2.tga
        surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	cull none
	qer_trans 	0.5

        {
		map textures/stonemaze/grey_glass2.tga
		blendFunc blend
		rgbGen identity
	}           
}

textures/stonemaze/white_glass
{
	qer_editorimage textures/stonemaze/white_glass.tga
        surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	cull none
	qer_trans 	0.5

        {
		map textures/stonemaze/white_glass.tga
		blendFunc blend
		rgbGen identity
	}           
}

textures/stonemaze/white_glass2
{
	qer_editorimage textures/stonemaze/white_glass2.tga
        surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	cull none
	qer_trans 	0.5

        {
		map textures/stonemaze/white_glass2.tga
		blendFunc blend
		rgbGen identity
	}           
}

//Created by Louie "KnightBK" Doulias for Black Knights Productions, Prisoners of War Q3 Mod.  
//Please check out our mod site at http://www.og-world.com/bkp/
textures/stonemaze/plainglass
{
	qer_trans .5

	surfaceparm nolightmap
//	surfaceparm nonsolid
	cull twosided
	{
		map textures/stonemaze/plainglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}
